Subject: Re: bug#27879: Bad behavior with sr-speedbar package

From: martin rudalics <[email-masked]>
Date: Mon, 31 Jul 2017 08:20:57 +0200

> I don't understand these technical details.. I am a simple user of the
 > package. You should explain if the user has to put something in the
 > init.el file. What I seem to understand is that now sr-speedbar is no
 > longer compatible with current development of Emacs...

sr-speedbar wasn't compatible ever since that advice was added to it.
Stephen Berman explained how to deactivate it.  Just add

(ad-deactivate 'pop-to-buffer)

to your init file or remove the defadvice from sr-speedbar.el.

martin